%global sfincb %{_datadir}/shellfu/include-bash
%global shellfu_req shellfu >= 0.10.11, shellfu < 0.11.0
%global saturnin_req shellfu-bash-saturnin >= 0.5.2, shellfu-bash-saturnin < 0.6.0

Name:           mkittool
Version:        0.0.14
Release:        1%{?dist}
Summary:        BldIt - Developer's toolkit for MKit
URL:            https://gitlab.com/vornet/infra/mkittool
License:        GPLv2
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make

Requires:   %saturnin_req
Requires:   %shellfu_req
Requires:   make
Requires:   rpmdevtools
Requires:   shellfu-bash-pretty
Requires:   shellfu-bash-mkittool == %{version}
Requires:   shellfu-sh-isa
%description
MKit is a set of helpers to embed in your software project that help you
with boring tasks such as installation, packaging and release management.

This package contains auxiliary tools intended for developers of
"MKit-ized" projects.

%package -n shellfu-bash-mkittool
Summary: Shellfu/Bash modules for mkittool
Requires: %shellfu_req
Requires: shellfu-bash
Requires: shellfu-bash-pretty
%description -n shellfu-bash-mkittool
__MKIT_MAINDESC__

This package contains auxiliary tools intended for developers of
"MKit-ized" projects.

This sub-package contains Shellfu/Bash modules used by bmo.

%prep
%setup -q


%build
make %{?_smp_mflags} PREFIX=/usr

%install
%make_install PREFIX=/usr

%files
%dir %{_datadir}/%{name}
%dir %{_libexecdir}/%{name}
%doc %{_docdir}/%{name}/README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/complete/rpmstuff.sh
%{_datadir}/bash-completion/completions/%{name}
%{_libexecdir}/%{name}/%{name}-debstuff
%{_libexecdir}/%{name}/%{name}-pokecopr
%{_libexecdir}/%{name}/%{name}-rpmstuff

%files -n shellfu-bash-mkittool
%{sfincb}/mkittool.sh

%changelog

# specfile built with MKit 0.0.53
